# Uses of Interface
org.opensaml.soap.wstrust.AuthenticationType

Packages that use AuthenticationType
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of AuthenticationType in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement AuthenticationType
Modifier and Type
Class
Description
`class`
`AuthenticationTypeImpl`
AddressImpl.
Methods in org.opensaml.soap.wstrust.impl that return AuthenticationType
Modifier and Type
Method
Description
`AuthenticationType`
AuthenticationTypeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`AuthenticationType`
AuthenticationTypeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.